<template>
  <SinglePane class="baseprices-clustering">
    <div class="baseprices-clustering__tabs">
      <ObTabs
        v-model="currentTab"
        :items="tabsItems"
        :no-border="true"
        value-exp="type"
      />
    </div>

    <template v-if="currentTab.type==='TRANSPORT_TYPE'">

      <BasePricesClusteringTransportType/>

    </template>
    <template v-if="currentTab.type==='DIRECTIONS'">

      <BasePricesClusteringDirection/>

    </template>

  </SinglePane>
</template>

<script>
import SinglePane from 'common-components/src/obComponents/obSinglePanels';
import ObTabs from 'common-components/src/obComponents/obTabs';
import BasePricesClusteringTransportType from './tabContent/transportType';
import BasePricesClusteringDirection from './tabContent/direction';

export default {
  name: 'basePricesClustering',

  components: {
    SinglePane,
    ObTabs,
    BasePricesClusteringTransportType,
    BasePricesClusteringDirection,
  },
  data() {
    return {
      tabsItems: [
        {
          type: 'TRANSPORT_TYPE',
          title: 'Типы транспорта',
        },
        {
          type: 'DIRECTIONS',
          title: 'Группа направлений для авто',
        },
      ],
      currentTab: {type: this.$route.query.tab || 'TRANSPORT_TYPE'},
    }
  },
  watch: {
    currentTab: {
      handler(tab) {
        if (this.$route.query.tab !== tab.type)
          this.$router.replace({ query: { tab: tab.type } })
      },
      deep: true,
      immediate: true
    }
  },
}
</script>

<style lang="scss" scoped>
.baseprices-clustering {

  &__tabs {
    padding: 20px 20px 0 20px;
    position: relative;
    box-shadow: 0px 2px 10px rgba(0, 75, 200, 0.15);
    z-index: 100;
  }

  &::v-deep{

    .container {
      width: auto;
    }

    .ob-func-panel {
      &__control-row {
        background-color: transparent;
      }
    }
    .ob-tabs__sliding-line {
      bottom: 0;
    }

    .ob-table-inner {
      z-index: 1;
    }

    td > .td-container {
      min-height: auto;

      & > div{
        width: 100%;
      }
    }

    td:nth-child(5) > .td-container,
    td:nth-child(6) > .td-container,
    td:nth-child(7) > .td-container,
    td:nth-child(8) > .td-container {
      display: flex;
      justify-content: center;
    }

    .ob-accordion__content{
      margin-bottom: 15px;
    }

    .accordion-title-item {
      margin-left: 30px;
    }

    .delete-icon {
      color: #9DA0AC;
      transition: all 0.2s linear;
      cursor: pointer;
      &:hover {
        color: $blue-dust;
      }
    }

    .accordion-title-item.delete-icon{
      margin-right: 1px;
    }

    .accordion-title-item.switcher {

    }
    .accordion-title-item.date {
      flex-basis: 150px;
    }
    .accordion-title-item.autor {
      flex-basis: 150px;
    }
    .accordion-title-item.services-count {
      flex-basis: 150px;
    }

    @media screen and (max-width: 1024px) {
      .accordion-title-item.switcher,
      .accordion-title-item.date,
      .accordion-title-item.autor,
      .accordion-title-item.services-count {
        display: none;
      }
      .delete-icon{
        margin-left: auto;
      }
    }

    .service-item {
      display: flex;
      align-items: center;
      justify-content: space-between;
      width: 100%;
      padding-right: 8px;

      &__title {
        margin-left: 80px;
      }
    }

    .addServiceButton {
      margin-left: 83px;
      span {
        font-size: 14px;
      }
      i {
        color: #9DA0AC;
        transition: all 0.2s linear;
      }

      &:hover{
        i {
          color: $blue-dust;
        }
      }
    }

    .accordion-header{
      position: relative;
      padding: 10px 25px;
      display: flex;
      cursor: pointer;
      align-items: center;

      @media screen and (max-width: 1024px) {
        display: none;
      }

      &__item {
        font-size: 10px;
        line-height: 10px;
        text-transform: uppercase;
        color: $shale-gray;

        &.title{
          flex-grow: 1;
          margin-left: 80px;
        }
        &.date{
          flex-basis: 180px;
        }
        &.autor{
          flex-basis: 375px;
        }
      }

      .chevron {
        position: absolute;
        top: 50%;
        left: 25px;
        transform: translateY(-50%);
        font-size: 23px;
        color: #9DA0AC;
        transition: all 0.2s linear;

        &.closed {
          transform: translateY(-50%) rotate(-90deg);
        }
      }
    }

    .no-items{
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 70px 0;
      flex-direction: column;
      text-align: center;

      p{
        color: #9DA0AC;
        font-size: 24px;
        line-height: 29px;
        margin-bottom: 20px;
        width: 630px;
        max-width: 100%;
      }
    }

    .ob-func-panel__control-row span{
      color: $blue-dust;
    }
    .delete-col{
      text-align: right;
    }
    .edit-group-container{
      display: flex;
      align-items: center;
      margin-left: -20px;
      i{
        margin-right: 8px;
      }
    }
    .edit-group-title-input {
        font-size: 16px;
        color: $blue-dust;
        flex-grow: 1;
        background: transparent;
        border: 1px solid transparent;
        height: 30px;
        border-radius: 3px;
        transition: all 0.2s linear;
        padding: 0 12px;
        outline: none;
        width: 100%;

        &:hover{
          border: 1px solid $color-grey-border;
          background: $white;
          color: $cobalt-black;
        }

        &:focus, &:focus-visible{
          color: $cobalt-black;
          background: $white;
          border-color: $color-blue-navy-blue;
          box-shadow: inset 0 3px 6px rgba(25,30,50,0.1);
        }
    }
  }
}

.color-blue {
  color: $blue-dust;
}
</style>